Bug 1029151 - Task query service does not use usergroupcallback for getTasksByVariousFields
Task query service does not use usergroupcallback for getTasksByVariousFields
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: Maciej Swiderski
Ivo Bek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 14:10 EST by Maciej Swiderski
Modified: 2014-08-06 16:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:10:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maciej Swiderski 2013-11-11 14:10:40 EST
Description of problem:
task query service method: getTasksByVariousFields does not make use of UserGroupCallback causing query not returning tasks that are assigned on group level.

Version-Release number of selected component (if applicable):


How reproducible:
Use HR example from jbpm-playground and then use REST api to start and get list of tasks with following url:
http://localhost:8080/kie-wb/rest/runtime/org.jbpm:HR:1.0/process/hiring/start
http://localhost:8080/kie-wb/rest/task/query?potentialOwner=katy

Steps to Reproduce:
1.
2.
3.

Actual results:
task list is empty

Expected results:
task list should contain task that are assigned to HR group where katy is member of that group

Additional info:
Comment 1 Maciej Swiderski 2013-11-11 14:13:30 EST
fixed pushed to master and awaiting acks:
https://github.com/droolsjbpm/jbpm/commit/94a6b2e5f03ef567a4c1f3d77dacc46d87f482d7
Comment 3 Maciej Swiderski 2013-11-14 04:16:46 EST
backported to 6.0.x branch:
https://github.com/droolsjbpm/jbpm/commit/535d2d73bbd80c02852db5d488d0d789f916b0e4
Comment 4 Ivo Bek 2013-12-11 09:44:08 EST
Verified in BPMS 6.0.0.ER5

Note You need to log in before you can comment on or make changes to this bug.